Ask Your Question
0

YUM resp. DNF no longer working

asked 2017-09-13 04:41:17 -0500

Drew gravatar image

updated 2017-09-13 13:31:40 -0500

ssieb gravatar image

Since I have updated my fedora installation yesterday, YUM does no longer work. Shortly after starting YUM an Error pops up with the following information:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.RepoError: Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 226, in perform
    return super(_Handle, self).perform(result)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1506, in perform
    _librepo.Handle.perform(self, result)
librepo.LibrepoException: (19, 'Yum repo downloading error: Downloading error(s): repodata/d5bbca9a4061df97883036bada2fd15db72606124a5861224f6e53f4fd8dbe8a-filelists.xml.gz - Cannot download, all mirrors were already tried without success; repodata/e08245d48b8bda5ceba836d64b2ac4fa695509518b5b97e17ef5f415613bbb18-prestodelta.xml.xz - Cannot download, all mirrors were already tried without success; repodata/001abcf7a1cec914b59e3e1e2de0811f5ea594f34506a9846ff7970f2dfb27ca-primary.xml.gz - Cannot download, all mirrors were already tried without success; repodata/1aee019b44f51ec74b1d787512ed318ca79a040e66aacf637d9622c1d5ca8bc6-updateinfo.xml.xz - Cannot download, all mirrors were already tried without success', 'Usable URL not found')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 836, in load
    self._handle_load(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 591, in _handle_load
    return self._handle_load_core(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 604, in _handle_load_core
    result = handle.perform()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 230, in perform
    raise _DetailedLibrepoError(exc, source)
dnf.repo._DetailedLibrepoError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 207, in SetConfig
    rc = self.set_option(setting, value)
  File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 680, in set_option
    if hasattr(self.base.conf, option):
  File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 202, in base
    self._get_base()
  File "/usr/lib/python3.5/site-packages/dnfdaemon/server/__init__.py", line 1054, in _get_base
    self._base.setup_base()
  File "/usr/lib/python3.5/site-packages/dnfdaemon/server/backend.py", line 69, in setup_base
    self.fill_sack()
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 239, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 111, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 848, in load
    raise dnf.exceptions.RepoError(msg)
dnf.exceptions.RepoError: Failed to synchronize cache for repo 'updates'
 (36)

Even DNF does no longer work. It fails as follows:

dnf check-update Error: Failed to synchronize cache for repo 'updates'B/s | 253 kB 00:00 ETA


What can I do to fix this problem?

edit retag flag offensive close merge delete

Comments

1

With regard to DNF, at first glance it looks to me like there is a problem with your internet connection or someone/something has altered your repo file(s). ???

Glenn gravatar imageGlenn ( 2017-09-14 02:58:53 -0500 )edit

The yum command is just a compatibility script to invoke dnf. To run real yum you need to run /usr/bin/yum-deprecated (as provided by the yum package.)

villykruse gravatar imagevillykruse ( 2017-09-14 03:57:25 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-09-14 07:02:22 -0500

Drew gravatar image

Thanks villykurse

Although my system was permanently connected to the internet all my trials yesterday did fail even after having reinstalled the system from scratch. Today however, the same attempts were suddenly successful. I can only imagine that the source had been missing from the mirror I attempted to access.

Anyway, thanks a lot for your insight and your support!

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-09-13 04:41:17 -0500

Seen: 166 times

Last updated: Sep 13 '17